<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/DocBook/ModuleLister.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.DocBook.ModuleLister</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../DocBook.html" >DocBook</a>
</div><div class="class-name">class ModuleLister

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/__init__.py.html" target="detail">../Synopsis/Formatters/DocBook/__init__.py</a></div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.ModuleLister" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ModuleLister-inheritance" src="ModuleLister-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ModuleLister-inheritance_map" />
<map name="ModuleLister-inheritance_map"></map>
 <div class="doc">Maps a module-tree to a &#40;flat&#41; list of modules.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="modules">modules</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line86" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.ModuleLister.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line84" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.ModuleLister.visit_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line88" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
